# class Gem::Resolver::GitSpecification

A `GitSpecification` represents a gem that is sourced from a git repository and is being loaded through a gem dependencies file through the `git:` option.

### Public Instance Methods

install (options = {}) { |installer| ... }
Source

    # File lib/rubygems/resolver/git_specification.rb, line 24
    def install(options = {})
      require_relative "../installer"

      installer = Gem::Installer.for_spec spec, options

      yield installer if block_given?

      installer.run_pre_install_hooks
      installer.build_extensions
      installer.run_post_build_hooks
      installer.generate_bin
      installer.run_post_install_hooks
    end

Installing a git gem only involves building the extensions and generating the executables.